Package org.opensaml.saml.saml2.binding.artifact

# Interface SAML2Artifact

All Superinterfaces:
  `SAMLArtifact`

All Known Implementing Classes:
  `AbstractSAML2Artifact`, `SAML2ArtifactType0004`

public interface SAML2Artifact extends SAMLArtifact
Interface for SAML 2 artifacts.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getEndpointIndex()`
Gets the 2 byte endpoint index for this artifact.

### Methods inherited from interface org.opensaml.saml.common.binding.artifact.SAMLArtifact

`getArtifactBytes, getTypeCode`

## Method Details

### getEndpointIndex

@Nonnull byte[] getEndpointIndex()
Gets the 2 byte endpoint index for this artifact.

Returns:
  2 byte endpoint index for this artifact